(function($, owner) {
	/**
	 * 用户登录
	 **/
	owner.login = function(info, callback) {
		callback = callback || $.noop;
		debug && console.log(api_url);
		var pushinfo = plus.push.getClientInfo();
		info = info || {};
		info.appid = plus.runtime.appid;
		info.version = plus.runtime.version;
		info.imei =  plus.device.imei;
		info.vendor = plus.device.vendor;
		info.model = plus.device.model;
		info.clientid = pushinfo.clientid;
		
		mui.ajax(
			api_url+"/api.asp",
			{
				data:info,
				dataType:'json',//服务器返回json格式数据
				type:'get',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(data){
					//服务器返回响应，根据响应结果，分析是否登录成功；
					debug && console.log( JSON.stringify(data) );
					if( data.error == true ){
						mui.toast(data.msg);
					}else{//登录成功
						msg=data.msg;
						if (msg.indexOf("|")>=0){
							msgs=msg.split("|");
							owner.setUserinfo({
								"autoLogin": true,
								"uid":msgs[0],
								"uname": msgs[1],
								"token": msgs[2],
								"photo":msgs[3],
								"ranks":msgs[4],
								"roles":msgs[5],
								"level":msgs[6],
								"renzheng":msgs[7],
								"phone":msgs[8],
								"integral":msgs[9],
								"gameid":msgs[10],
								"city":msgs[11]
							});
						}
					}
					callback(data);
				},
				error:function(xhr,type,errorThrown){
					//异常处理；
					if(type=="abort"){
						mui.toast("连接异常请检查网络状态")
					}
					if(type=="parsererror"){
						mui.toast("服务器返回数据格式异常")
					}
					if(type=="timeout"){
						mui.toast("服务器连接超时请等待")
					}
					if(type=="error"){
						mui.toast("出现连接错误请联系管理员")
					}
					callback({error:true});
				}
			}
		);
	};
	owner.api = function(info, callback) {
		callback = callback || $.noop;
		var userinfo = app.getUserinfo();
		debug && console.log(api_url);
		info.uid=userinfo.uid;
		info.pwd=userinfo.token;
		info.gid=userinfo.gameid;
		debug && console.log(JSON.stringify(info));
		mui.ajax(
			api_url+"/api.asp",
			{
				data:info,
				dataType:'json',//服务器返回json格式数据
				type:'get',//HTTP请求类型
				timeout:5000,//超时时间设置为10秒；
				success:function(data){
					//服务器返回响应，根据响应结果，分析是否登录成功；
					debug && console.log( JSON.stringify(data) );
					if( data.error == true ){
						if (data.msg == 'nologin') {
							owner.setState();
							mui.toast("用户登录错误请重新登录");
							return;
						}
						if (data.msg == 'nodata') {
							mui.toast("数据参数错误请重新访问");
							return;
						}
						mui.toast(data.msg);
					}
					callback(data);
				},
				error:function(xhr,type,errorThrown){
					//异常处理；
					if(type=="abort"){
						mui.toast("连接异常请检查网络状态");
					}
					if(type=="parsererror"){
						mui.toast("服务器返回数据格式异常");
					}
					if(type=="timeout"){
						mui.toast("服务器连接超时请等待");
					}
					if(type=="error"){
						mui.toast("出现连接错误请联系管理员");
					}
					callback({error:true});
				}
			}
		);
	};

	/**
	 * 退出
	 **/
	owner.setState = function(info, callback) {
		app.setUserinfo({});
		plus.webview.getWebviewById("main").hide();
		plus.webview.getLaunchWebview().show();
	};
	/**
	 * 设置应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}
	/**
	 * 获取应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
	/**
	 * 设置应用本地配置
	 **/
	owner.setUserinfo = function(userinfo) {
		userinfo = userinfo || {};
		localStorage.setItem('$userinfo', JSON.stringify(userinfo));
	}
	/**
	 * 获取应用本地配置
	 **/
	owner.getUserinfo = function() {
		var userinfoText = localStorage.getItem('$userinfo') || "{}";
		return JSON.parse(userinfoText);
	}
	/**
	 * 获取本地是否安装客户端
	 **/
	owner.isInstalled = function(id) {
		if (mui.os.android) {
			var main = plus.android.runtimeMainActivity();
			var packageManager = main.getPackageManager();
			var PackageManager = plus.android.importClass(packageManager)
			var packageName = {
				"qq": "com.tencent.mobileqq",
				"weixin": "com.tencent.mm",
				"sinaweibo": "com.sina.weibo"
			}
			try {
				return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
			} catch (e) {}
		} else {
			switch (id) {
				case "qq":
					var TencentOAuth = plus.ios.import("TencentOAuth");
					return TencentOAuth.iphoneQQInstalled();
				case "weixin":
					var WXApi = plus.ios.import("WXApi");
					return WXApi.isWXAppInstalled();
				case "sinaweibo":
					var SinaAPI = plus.ios.import("WeiboSDK");
					return SinaAPI.isWeiboAppInstalled();
				case "apple":
					return true;
				default:
					break;
			}
		}
	}
}(mui, window.app = {}));