var web_url = "https://emms.net.cn";
var api_url = "https://emms.net.cn/api";

var debug = false;

if (localStorage.getItem("api_url")) {
	api_url = localStorage.getItem("api_url");
}
var channelid = "";

var $_GET = (function() {
	var url = window.document.location.href.toString();
	var u = url.split("?");
	if (typeof(u[1]) == "string") {
		u = u[1].split("&");
		var get = {};
		for (var i in u) {
			var j = u[i].split("=");
			get[j[0]] = j[1];
		}
		return get;
	} else {
		return {};
	}
})();

function showWaiting() {
	plus.nativeUI.showWaiting("");
}

function closeWaiting() {
	plus.nativeUI.closeWaiting();
}

//封装图片缓存
var imgIsLocal = function(dwImgUrl, objImg, localPath, errImgPath) {
	//debug && console.log(dwImgUrl);
	plus.io.resolveLocalFileSystemURL(localPath, function(entry) {
		debug && console.log("显示本地");
		setObjImg(objImg, localPath, errImgPath);
	}, function(e) {
		if (dwImgUrl!=web_url) {
			debug && console.log("正在下载...");
			downImg(dwImgUrl, objImg, localPath, errImgPath);
		} else {
			debug && console.log("路径为空");
			setObjImg(objImg, localPath, errImgPath);
		}
	});
};
//下载缓存头像
var downImg = function(dwImgUrl, objImg, localPath, errImgPath) {
	var dtask = plus.downloader.createDownload(dwImgUrl, {
		filename: localPath,
		timeout: 10,
		retry: 1
	}, function(d, status) {
		log(d.totalSize + "$_$");
		if (status == 200 && d.totalSize > 1024) {
			debug && console.log("下载成功" + d.filename);
			//plus.downloader.clear(d.state);
			setObjImg(objImg, d.filename, errImgPath);
		} else {
			d.abort(); //下载失败，删除
			debug && console.log("下载失败");
			plus.io.resolveLocalFileSystemURL(localPath, function(entry) {
				entry.remove(function(a) {
					debug && console.log("删除成功");
				}, function(e) {
					debug && console.log("删除失败");
				});
			}, function(e) {
				debug && console.log(JSON.stringify(e));
			});
		}
	});
	dtask.start();
};

var setObjImg = function(objImg, localPath, errImgPath) {
	//获取实际的地址绝对路径
	var absolute_path = plus.io.convertLocalFileSystemURL(localPath);
	debug && console.log(absolute_path);

	objImg.setAttribute("src", absolute_path+"?timeStamp="+new Date().getTime());
	objImg.onload = function() {
		objImg.onload = null;
	};
	objImg.onerror = function() {
		objImg.setAttribute("src", errImgPath); //如果加载图片出现错误，给一个默认图片
		debug && console.log("显示默认");
	};
};

function log(v) {
	debug && console.log(v);
}
//以下是读取指定目录下子目录以及文件的大小的方法  
function showCache() {
	plus.io.resolveLocalFileSystemURL('_doc/', function(entry) { //通过URL参数获取目录对象或文件对象  
		var fileSize = 0;
		var directoryReader = entry.createReader();
		directoryReader.readEntries(function(entries) { //获取当前目录中的所有文件和子目录  
			for (var i = 0; i < entries.length; i++) {
				if (entries[i].isFile) {
					entries[i].file(function(file) {
						fileSize += (file.size * 0.0009766);
					}, function(e) {
						mui.toast(e.message);
					});
				} else {
					entries[i].getMetadata(function(metadata) {
						fileSize += (metadata.size * 0.0009766); //1字节=0.0009766kb  
					}, function() {
						mui.toast(e.message);
					});
				}
			}
		}, function(e) {
			mui.toast('文件读取失败');
		});
		//setTimeout(function() {
		//	$('#size').text(Math.ceil(fileSize) + 'kb');
		//}, 500);
	}, function(e) {
		mui.toast('文件路径读取失败');
	});
}

//以下是清除缓存在指定目录中文件的方法
function clearCache() {
	plus.io.resolveLocalFileSystemURL('_doc/', function(entry) {
		entry.removeRecursively(function(entry) { //递归删除其下的所有文件及子目录  
			mui.toast("缓存清理完成");
		}, function(e) {
			mui.toast(e.message);
		});
		setTimeout(function() {
			showCache();
		}, 500);
	}, function(e) {
		mui.toast('文件路径读取失败');
	});
}

function isBase64(str) {
	if (str === '' || str.trim() === '') {
		return false;
	}
	try {
		return btoa(atob(str)) == str;
	} catch (err) {
		return false;
	}
}
