(function() {
	var index = 1;
	var size = null;
	var imageIndexIdNum = 0;
	var starIndex = 0;
	var feedback = {
		question: document.getElementById('question'), 
		contact: document.getElementById('contact'), 
		imageList: document.getElementById('image-list'),
		submitBtn: document.getElementById('submit')
	};
	var userinfo = app.getUserinfo();
	var url = api_url+'/api.asp?action=feedback&uid='+userinfo.uid+'&pwd='+userinfo.password;
	feedback.files = [];
	feedback.uploader = null;  
	feedback.deviceInfo = null; 
	mui.plusReady(function() {
		//设备信息，无需修改
		feedback.deviceInfo = {
			appid: plus.runtime.appid, 
			imei: plus.device.imei, //设备标识
			images: feedback.files, //图片文件
			p: mui.os.android ? 'a' : 'i', //平台类型，i表示iOS平台，a表示Android平台。
			md: plus.device.model, //设备型号
			app_version: plus.runtime.version,
			plus_versin: plus.runtime.innerVersion, //基座版本号
			os:  mui.os.version,
			net: ''+plus.networkinfo.getCurrentType()
		}
	});
	/**
	 *提交成功之后，恢复表单项 
	 */
	feedback.clearForm = function() {
		feedback.question.value = '';
		feedback.contact.value = '';
		index = 0;
		size = 0;
		starIndex = 0;
		//清除所有星标
		mui('.icons i').each(function (index,element) {
			if (element.classList.contains('mui-icon-star-filled')) {
				element.classList.add('mui-icon-star')
	  			element.classList.remove('mui-icon-star-filled')
			}
		})
	};

	feedback.submitBtn.addEventListener('tap', function(event) {
		if (feedback.question.value == ''||feedback.contact.value == '') {
			return mui.toast('信息和联系方式都为必填');
		}
		if (feedback.question.value.length > 200 || feedback.contact.value.length > 200) {
			return mui.toast('信息超出长度限制')
		}
		//判断网络连接
		if(plus.networkinfo.getCurrentType()==plus.networkinfo.CONNECTION_NONE){
			return mui.toast("连接网络失败请稍后再试");
		}
		feedback.send(mui.extend({}, feedback.deviceInfo, {
			content: feedback.question.value,
			contact: feedback.contact.value,
			score:''+starIndex
		})) 
	}, false)
	feedback.send = function(content) {
		//console.log(JSON.stringify(content));
		mui.ajax(
			url,
			{
				data:content,
				dataType:'json',//服务器返回json格式数据
				type:'get',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(data){
					//服务器返回响应，根据响应结果，分析是否登录成功；
					console.log( JSON.stringify(data) );
					if( data.error == true ){
						mui.toast(data);
					}else{//成功
						mui.alert("感谢反馈，我们会尽快与您取得联系","问题反馈","确定",function () {
							feedback.clearForm();
							mui.back();
						});
					}
				},
				error:function(xhr,type,errorThrown){
					//异常处理；
					if(type=="abort"){
						mui.toast("连接异常请检查网络状态")
					}
					if(type=="parsererror"){
						mui.toast("服务器返回数据格式异常")
					}
					if(type=="timeout"){
						mui.toast("服务器连接超时请等待")
					}
					if(type=="error"){
						mui.toast("出现连接错误请联系裁判长")
					}
					console.log( JSON.stringify(data) );
					console.log(type);
					callback("error");
				}
			}
		);
	};
	
	 //应用评分
	 mui('.icons').on('tap','i',function(){
	  	var index = parseInt(this.getAttribute("data-index"));
	  	var parent = this.parentNode;
	  	var children = parent.children;
	  	if(this.classList.contains("mui-icon-star")){
	  		for(var i=0;i<index;i++){
  				children[i].classList.remove('mui-icon-star');
  				children[i].classList.add('mui-icon-star-filled');
	  		}
	  	}else{
	  		for (var i = index; i < 5; i++) {
	  			children[i].classList.add('mui-icon-star')
	  			children[i].classList.remove('mui-icon-star-filled')
	  		}
	  	}
	  	starIndex = index;
  });
  	//选择快捷输入
	mui('.mui-popover').on('tap','li',function(e){
	  document.getElementById("question").value = document.getElementById("question").value + this.children[0].innerHTML;
	  mui('.mui-popover').popover('toggle')
	}) 
})();